---
title: FeaturePolicy.getAllowlistForFeature()
slug: Web/API/FeaturePolicy/getAllowlistForFeature
tags:
  - API
  - Feature Policy
  - Feature-Policy
  - Reference
---
<div>{{APIRef("Feature Policy API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>getAllowlistForFeature()</code></strong> method of the {{DOMxRef("FeaturePolicy")}} allows query of the allow list for a specific feature for the current Feature Policy.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const allowlist = <em>FeaturePolicy</em>.getAllowlistForFeature(&lt;feature&gt;)
</pre>

<h3 id="Parameter">Parameter</h3>

<h4 id="Feature_name">Feature name</h4>

<p>A specific feature name must be specified.</p>

<h3 id="Return_value">Return value</h3>

<p>An <a href="Web/HTTP/Feature_Policy/Using_Feature_Policy">Allow list</a> for the specified feature.</p>

<h2 id="Errors">Errors</h2>

<p>The function will raise a warning if the specified Feature Policy directive name is not known. However, it will also return empty array, indicating that no origin is allowed to use the feature.</p>

<h2 id="Example">Example</h2>

<p>The following example prints all the origins that are allowed to use Camera API by the Feature Policy. Please note that Camera API might be restricted by the Permissions API, if the user did not grant the corresponding permission yet.</p>

<pre class="brush: js notranslate">// First, get the Feature Policy object
const featurePolicy = document.featurePolicy

// Then query feature for specific
const allowlist = featurePolicy.getAllowlistForFeature("camera")

for (const origin of allowlist) {
  console.log(origin)
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Feature Policy","","getAllowlistForFeature")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FeaturePolicy.getAllowlistForFeature")}}</p>
